package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.use_case.EstateUseCase
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class EstateInteractor @Inject constructor(
    private val useCase: EstateUseCase
){

    fun getEstate(estateId:Int) = useCase.getEstate(estateId)

    fun getPlanTypes(estateId: Int) =
        useCase.getEstatePlanPresets(estateId)

    fun getPlan(estateId: Int,planId:Int) = useCase.getPlan(estateId,planId)

}